// grayscale.fs
//
// przekształcenie RGB do skali szarości

void main(void)
{
    // Przekształcenie na skalę szarości
    float gray = dot(gl_Color.rgb, vec3(0.3, 0.59, 0.11));

    // przekształcenie RGB na odcień szarości
    gl_FragColor = vec4(gray, gray, gray, 1.0);
}

